import 'package:auto_route/auto_route.dart';
import 'package:flutter/material.dart';
import 'package:flutter_bloc/flutter_bloc.dart';
import 'package:krow/features/profile/wages_forms/domain/bloc/wages_form_bloc.dart';

@RoutePage()
class WagesFormsFlowScreen extends StatelessWidget {
  const WagesFormsFlowScreen({super.key});

  @override
  Widget build(BuildContext context) {
    return BlocProvider(
      create: (context) =>
          WagesFormBloc()..add(const InitializeWagesFormBloc()),
      child: const AutoRouter(),
    );
  }
}
